summaryrefslogtreecommitdiffstats
path: root/source/x/fontconfig
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/fontconfig')
-rw-r--r--source/x/fontconfig/doinst.sh1
-rwxr-xr-xsource/x/fontconfig/fontconfig.SlackBuild25
-rw-r--r--source/x/fontconfig/fontconfig.font.dir.list.diff40
3 files changed, 45 insertions, 21 deletions
diff --git a/source/x/fontconfig/doinst.sh b/source/x/fontconfig/doinst.sh
index 6a4802323..ae60a1b15 100644
--- a/source/x/fontconfig/doinst.sh
+++ b/source/x/fontconfig/doinst.sh
@@ -3,5 +3,4 @@ if [ -x /usr/bin/fc-cache ]; then
/usr/bin/fc-cache -f
fi
# else we'll catch it later with setup.fontconfig :-)
-# make links:
diff --git a/source/x/fontconfig/fontconfig.SlackBuild b/source/x/fontconfig/fontconfig.SlackBuild
index bb3b192f5..2fd360ae4 100755
--- a/source/x/fontconfig/fontconfig.SlackBuild
+++ b/source/x/fontconfig/fontconfig.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -86,6 +86,10 @@ CFLAGS=$SLKCFLAGS \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--sysconfdir=/etc \
+ --with-templatedir=/etc/fonts/conf.avail \
+ --with-baseconfigdir=/etc/fonts \
+ --with-configdir=/etc/fonts/conf.d \
+ --with-xmldir=/etc/fonts \
--localstatedir=/var \
--enable-static=no \
--build=$ARCH-slackware-linux
@@ -94,6 +98,15 @@ CFLAGS=$SLKCFLAGS \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Upstream has changed the default templatedir to /usr/share/fontconfig/conf.avail.
+# This change, if accepted, would break any existing font package containing a
+# conf.avail directory. The safest thing to do is to keep things in the
+# traditional location, but put a link in the new place so that font packages
+# following the new standard location will work. Let's hear it for being
+# "more correct" at the expense of having things "just work"!
+mkdir -p $PKG/usr/share/fontconfig
+( cd $PKG/usr/share/fontconfig ; ln -sf /etc/fonts/conf.avail . )
+
mkdir -p $PKG/usr/doc/fontconfig-$VERSION
cp -a \
AUTHORS COPYING* INSTALL NEWS README \
@@ -120,7 +133,6 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
# Set up the default options in /etc/fonts/conf.d:
( cd $PKG/etc/fonts/conf.d
for fontconf in \
- 20-fix-globaladvance.conf \
20-unhint-small-vera.conf \
30-urw-aliases.conf \
30-metric-aliases.conf \
@@ -135,7 +147,12 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
69-unifont.conf \
80-delicious.conf \
90-synthetic.conf ; do
- ln -sf ../conf.avail/$fontconf . || exit 1
+ if [ -r ../conf.avail/$fontconf ]; then
+ ln -sf ../conf.avail/$fontconf .
+ else
+ echo "ERROR: unable to symlink ../conf.avail/$fontconf, file does not exist."
+ exit 1
+ fi
done
if [ ! $? = 0 ]; then
exit 1
@@ -166,5 +183,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $TMP/fontconfig-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n --prepend $TMP/fontconfig-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/fontconfig/fontconfig.font.dir.list.diff b/source/x/fontconfig/fontconfig.font.dir.list.diff
index 1e68b0d12..63be22f51 100644
--- a/source/x/fontconfig/fontconfig.font.dir.list.diff
+++ b/source/x/fontconfig/fontconfig.font.dir.list.diff
@@ -1,25 +1,33 @@
-diff -Nur fontconfig-2.8.0.orig/fonts.conf.in fontconfig-2.8.0/fonts.conf.in
---- fontconfig-2.8.0.orig/fonts.conf.in 2009-06-28 12:48:47.000000000 -0500
-+++ fontconfig-2.8.0/fonts.conf.in 2009-12-01 21:48:48.134935536 -0600
-@@ -23,10 +23,21 @@
+--- ./fonts.conf.in.orig 2012-07-23 21:01:32.000000000 -0500
++++ ./fonts.conf.in 2013-02-28 22:32:44.758585955 -0600
+@@ -22,13 +22,29 @@
+ -->
<!-- Font directory list -->
-
+-
- <dir>@FC_DEFAULT_FONTS@</dir>
- @FC_FONTPATH@
-+ <dir>/usr/share/fonts/OTF</dir>
-+ <dir>/usr/share/fonts/TTF</dir>
-+ <dir>/usr/share/fonts/Type1</dir>
-+ <dir>/usr/share/fonts/Speedo</dir>
-+ <dir>/usr/share/fonts/cyrillic</dir>
-+ <dir>/usr/share/fonts/misc</dir>
++ <dir>/usr/share/fonts/OTF</dir>
++ <dir>/usr/share/fonts/TTF</dir>
++ <dir>/usr/share/fonts/Type1</dir>
++ <dir>/usr/share/fonts/Speedo</dir>
++ <dir>/usr/share/fonts/cyrillic</dir>
++ <dir>/usr/share/fonts/misc</dir>
+ <dir prefix="xdg">fonts</dir>
+ <!-- the following element will be removed in the future -->
<dir>~/.fonts</dir>
-+<!-- Commented out font directories:
-+These are not indexed by default, as fontconfig then seems
-+to prefer bitmapped fonts in some cases...
-+ <dir>/usr/share/fonts/100dpi</dir>
-+ <dir>/usr/share/fonts/75dpi</dir>
++<!-- Commented out font directories:
++ These are not indexed by default, as fontconfig then seems
++ to prefer bitmapped fonts in some cases...
++ <dir>/usr/share/fonts/100dpi</dir>
++ <dir>/usr/share/fonts/75dpi</dir>
++ The top-level font directory should also not be indexed, as that
++ will include the directories of bitmapped fonts:
++ <dir>@FC_DEFAULT_FONTS@</dir>
++ The empty line below is produced by the FC_FONTPATH macro.
++ Moving it here so it doesn't become a problem in the future:
++ @FC_FONTPATH@
+-->
+
<!--